Bug 506883 - add zh-zuiyin.mim
add zh-zuiyin.mim
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
: i18n, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 01:56 EDT by Ding-Yi Chen
Modified: 2009-07-29 00:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 00:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rewritten Bopomofo method. (117.76 KB, application/octet-stream)
2009-06-19 01:57 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2009-06-19 01:56:36 EDT
Description of problem:
The bopomofo input method outputs only Bopomofo (Zhuyin) symbols, but not Chinese characters.
This limits the usage of the input method.

Version-Release number of selected component (if applicable):
m17n-db-chinese-1.5.4-2

How reproducible:
Always

Steps to Reproduce:
1. Activate ibus (with ibus-m17n and m17n-db-chinese installed).
2. Activate bopomofo input method.
3. Press 5 (ㄓ) and space bar (the first tone).
  
Actual results:
It outputs ㄓ .

Expected results:
It pops up candidate selection windows for matched characters.

Additional info:
I've made and attached the bopomofo input method and the icon for it.
This input method can input Chinese characters as well as Bopomofo symbols.
Bopomofo symbols are inserted at 9th candidate or the last, whichever come first.

Use it just like other bopomofo based input methods.

Should you want to keep the old bopomofo input method, please rename mine as "zhuyin". Thanks!
Comment 1 Ding-Yi Chen 2009-06-19 01:57:53 EDT
Created attachment 348607 [details]
Rewritten Bopomofo method.
Comment 2 Jens Petersen 2009-06-21 20:58:54 EDT
Cool! :)  Ding, please submit it to upstream at m17n-lib-2009@m17n.org.
Comment 4 Ding-Yi Chen 2009-06-22 04:03:57 EDT
Thanks Jens. I also noticed that, so the file I sent to upstream does not have it.
Comment 5 Parag Nemade 2009-07-24 02:56:40 EDT
Any progress here? Is this keymap submitted upstream?
Comment 6 Ding-Yi Chen 2009-07-28 23:58:34 EDT
zh-zhuyin is now included in m17n-contrib-1.1.10.

The tar-ball is at:
http://www.m17n.org/m17n-lib-download/m17n-contrib-1.1.10.tar.gz
Comment 7 Parag Nemade 2009-07-29 00:23:52 EDT
Fixed in m17n-contrib-1.1.10-1.fc12

Note You need to log in before you can comment on or make changes to this bug.